Subject: Re: linux-next: build failure after merge of the lightnvm tree

From: Matias Bjørling <[email-masked]>
Date: Mon, 4 Jul 2016 09:06:08 +0200

On 07/04/2016 06:31 AM, Stephen Rothwell wrote:
> Hi Matias,
>
> On Thu, 30 Jun 2016 12:56:35 +1000 Stephen Rothwell <[email-masked]> wrote:
>>
>> After merging the lightnvm tree, today's linux-next build (x86_64
>> allmodconfig) failed like this:
>>
>> ERROR: "nvm_alloc_dev" [drivers/nvme/host/nvme-core.ko] undefined!
>> ERROR: "nvm_alloc_dev" [drivers/block/null_blk.ko] undefined!
>>
>> Caused by commit
>>
>>    3daf1adc80a8 ("lightnvm: let drivers control the lifetime of nvm_dev")
>>
>> I have used the lightnvm tree from next-20160629 for today.
>
> I am still getting this error.
>

Hi Stephen,

Sorry for the delay. The patch is removed for now.